package jp.ac.kagawa_u.eng.wappen.simplejava.actions;

import jp.ac.kagawa_u.eng.wappen.util.Service;

import org.eclipse.core.resources.IFile;
import org.eclipse.core.resources.IProject;
import org.eclipse.jface.action.IAction;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.ui.IPathEditorInput;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.IWorkbenchWindowActionDelegate;

public class PreviewAction implements IWorkbenchWindowActionDelegate {
	private IWorkbenchWindow window;

	public void dispose() {
	}

	public void init(IWorkbenchWindow window) {
		this.window = window;
	}

	public void run(IAction action) {	
		IPathEditorInput input = (IPathEditorInput)window.getActivePage().getActiveEditor().getEditorInput();
		IProject project = ((IFile)input.getAdapter(IFile.class)).getProject();
		
		Service.genericPreview(project);
	}

	public void selectionChanged(IAction action, ISelection selection) {
		IPathEditorInput input = (IPathEditorInput)window.getActivePage().getActiveEditor().getEditorInput();
		IProject project = ((IFile)input.getAdapter(IFile.class)).getProject();
		
		Service.genericSetEnabled(project, action, selection);
	}

}
