package jp.ac.kagawa_u.eng.wappen.simplejava.actions;

import org.eclipse.core.resources.IFile;
import org.eclipse.core.resources.IProject;
import org.eclipse.core.runtime.CoreException;
import org.eclipse.core.runtime.QualifiedName;
import org.eclipse.jface.action.IAction;
import org.eclipse.jface.dialogs.InputDialog;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.window.Window;
import org.eclipse.ui.IPathEditorInput;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.IWorkbenchWindowActionDelegate;

public class Run2Action implements IWorkbenchWindowActionDelegate {
	private IWorkbenchWindow window;

	@Override
	public void dispose() {
	}

	@Override
	public void init(IWorkbenchWindow window) {
		this.window = window;
	}

	@Override
	public void run(IAction action) {
		IPathEditorInput input = (IPathEditorInput)window.getActivePage().getActiveEditor().getEditorInput();
		final IProject project = ((IFile)input.getAdapter(IFile.class)).getProject();
		String args=null;
		try {
			args = (String)project.getSessionProperty(new QualifiedName(null, "__args"));
		} catch (CoreException e1) {
		}
		if (args==null) {
			args="";
		}
		InputDialog dialog = new InputDialog(window.getShell(), "R}hC̓",
				"R}hC͂ĂB", args, null);
		if(dialog.open()==Window.OK) {
			args = dialog.getValue();
			
			try {
				if (args.equals("")) {
					project.setSessionProperty(new QualifiedName(null, "__args"), null);
				} else {
					project.setSessionProperty(new QualifiedName(null, "__args"), args);
				}
			} catch (CoreException e) {
			}
		}
		
		RunAction.runByLaunchConfiguration(window, action);
	}

	@Override
	public void selectionChanged(IAction action, ISelection selection) {
	}

}
